Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.jpa.map
Class JpaJoinColumn

    java.lang.Object
      org.apache.cayenne.jpa.map.JpaJoinColumn

All Implemented Interfaces:
  XMLSerializable

    public class JpaJoinColumn

extends Object
implements XMLSerializable

Join column specifies a mapped column for joining an entity association, aka flattened attribute.

Author:
  Andrus Adamchik

Field Summary
`protected String` | `columnDefinition`
`protected boolean` | `insertable`
`protected String` | `name`
`protected boolean` | `nullable`
`protected String` | `referencedColumnName`
`protected String` | `table`
`protected boolean` | `unique`
`protected boolean` | `updatable`

Constructor Summary
`JpaJoinColumn()`
`JpaJoinColumn(javax.persistence.JoinColumn annotation)`

Method Summary
`void` | `encodeAsXML(XMLEncoder encoder)` Prints itself as XML to the provided XMLEncoder.
`String` | `getColumnDefinition()`
`String` | `getName()`
`String` | `getReferencedColumnName()`
`String` | `getTable()`
`boolean` | `isInsertable()`
`boolean` | `isNullable()`
`boolean` | `isUnique()`
`boolean` | `isUpdatable()`
`void` | `setColumnDefinition(String columnDefinition)`
`void` | `setInsertable(boolean insertable)`
`void` | `setName(String name)`
`void` | `setNullable(boolean nullable)`
`void` | `setReferencedColumnName(String referencedColumnName)`
`void` | `setTable(String table)`
`void` | `setUnique(boolean unique)`
`void` | `setUpdatable(boolean updateable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected String name

### referencedColumnName

    protected String referencedColumnName

### unique

    protected boolean unique

### nullable

    protected boolean nullable

### insertable

    protected boolean insertable

### updatable

    protected boolean updatable

### columnDefinition

    protected String columnDefinition

### table

    protected String table

Constructor Detail

### JpaJoinColumn

    public JpaJoinColumn()

### JpaJoinColumn

    public JpaJoinColumn(javax.persistence.JoinColumn annotation)

Method Detail

### encodeAsXML

    public void encodeAsXML(XMLEncoder encoder)

  Description copied from interface: `XMLSerializable`
  Prints itself as XML to the provided XMLEncoder.

  Specified by:
    `encodeAsXML` in interface `XMLSerializable`

### getColumnDefinition

    public String getColumnDefinition()

### setColumnDefinition

    public void setColumnDefinition(String columnDefinition)

### isInsertable

    public boolean isInsertable()

### setInsertable

    public void setInsertable(boolean insertable)

### getName

    public String getName()

### setName

    public void setName(String name)

### isNullable

    public boolean isNullable()

### setNullable

    public void setNullable(boolean nullable)

### getReferencedColumnName

    public String getReferencedColumnName()

### setReferencedColumnName

    public void setReferencedColumnName(String referencedColumnName)

### getTable

    public String getTable()

### setTable

    public void setTable(String table)

### isUnique

    public boolean isUnique()

### setUnique

    public void setUnique(boolean unique)

### isUpdatable

    public boolean isUpdatable()

### setUpdatable

    public void setUpdatable(boolean updateable)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.